POST /replicate/v1/models/recraft-ai/recraft-v3-svg/predictions
Method: POSTEndpoint: /replicate/v1/models/recraft-ai/recraft-v3-svg/predictions
https://replicate.com/recraft-ai/recraft-v3-svg
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
input
object
Required
prompt
string
Required
go_fast
boolean
Optional
megapixels
string
Optional
num_outputs
integer
Optional
aspect_ratio
string
Defaults to 1:1.
Optional
output_format
string
Optional
output_quality
integer
Optional
num_inference_steps
integer
Optional
Example
{
"input"
:
{
"size"
:
"1024x1024"
,
"style"
:
"any"
,
"prompt"
:
"a portrait of a cute red panda using a laptop, the poster has the title \"Red panda is Recraft v3\", against a red background"
,
"aspect_ratio"
:
"Not set"
}
}Example Request
Shell
bash
curl --location --request POST '/replicate/v1/models/recraft-ai/recraft-v3-svg/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": {
"size": "1024x1024",
"style": "any",
"prompt": "a portrait of a cute red panda using a laptop, the poster has the title \"Red panda is Recraft v3\", against a red background",
"aspect_ratio": "Not set"
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}